Package org.apache.calcite.avatica

# Class MetaImpl.MetaVersionColumn

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaVersionColumn

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaVersionColumn extends Object
Metadata describing a version column.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Integer`
`bufferLength`
`final String`
`columnName`
`final Integer`
`columnSize`
`final int`
`dataType`
`final Short`
`decimalDigits`
`final short`
`pseudoColumn`
`final Short`
`scope`
`final String`
`typeName`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### scope

public final Short scope

### columnName

public final String columnName

### dataType

public final int dataType

### typeName

public final String typeName

### columnSize

public final Integer columnSize

### bufferLength

public final Integer bufferLength

### decimalDigits

public final Short decimalDigits

### pseudoColumn

public final short pseudoColumn